<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/all_seats_container"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:clipChildren="false"
    android:paddingTop="8dp">

    <!-- 房主 -->
    <com.adealink.weparty.room.micseat.defaults.DefaultOwnerSeatView
        android:id="@+id/mic_owner"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toStartOf="@id/super_mic"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintWidth_percent="0.25"
        tools:layout_height="100dp" />

    <!-- 超级麦位 -->
    <com.adealink.weparty.room.micseat.defaults.DefaultMemberSeatView
        android:id="@+id/super_mic"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/mic_owner"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintWidth_percent="0.25"
        tools:layout_height="100dp"
        tools:visibility="visible" />

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/barrier_mic_owner"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="bottom"
        app:constraint_referenced_ids="mic_owner, super_mic" />

    <com.adealink.weparty.room.micseat.defaults.DefaultMemberSeatView
        android:id="@+id/mic_1"
        style="@style/MemberMicSeatStyle"
        app:layout_constraintEnd_toStartOf="@+id/mic_2"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/barrier_mic_owner"
        tools:layout_height="80dp" />

    <com.adealink.weparty.room.micseat.defaults.DefaultMemberSeatView
        android:id="@+id/mic_2"
        style="@style/MemberMicSeatStyle"
        app:layout_constraintEnd_toStartOf="@+id/mic_3"
        app:layout_constraintStart_toEndOf="@+id/mic_1"
        app:layout_constraintTop_toTopOf="@+id/mic_1"
        tools:layout_height="80dp" />

    <com.adealink.weparty.room.micseat.defaults.DefaultMemberSeatView
        android:id="@+id/mic_3"
        style="@style/MemberMicSeatStyle"
        app:layout_constraintEnd_toStartOf="@+id/mic_4"
        app:layout_constraintStart_toEndOf="@+id/mic_2"
        app:layout_constraintTop_toTopOf="@+id/mic_1"
        tools:layout_height="80dp" />

    <com.adealink.weparty.room.micseat.defaults.DefaultMemberSeatView
        android:id="@+id/mic_4"
        style="@style/MemberMicSeatStyle"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/mic_3"
        app:layout_constraintTop_toTopOf="@+id/mic_1"
        tools:layout_height="80dp" />

    <com.adealink.weparty.room.micseat.defaults.DefaultMemberSeatView
        android:id="@+id/mic_5"
        style="@style/MemberMicSeatStyle"
        android:layout_marginTop="12dp"
        app:layout_constraintEnd_toStartOf="@+id/mic_6"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/mic_1"
        tools:layout_height="80dp" />

    <com.adealink.weparty.room.micseat.defaults.DefaultMemberSeatView
        android:id="@+id/mic_6"
        style="@style/MemberMicSeatStyle"
        app:layout_constraintEnd_toStartOf="@+id/mic_7"
        app:layout_constraintStart_toEndOf="@id/mic_5"
        app:layout_constraintTop_toTopOf="@id/mic_5"
        tools:layout_height="80dp" />

    <com.adealink.weparty.room.micseat.defaults.DefaultMemberSeatView
        android:id="@+id/mic_7"
        style="@style/MemberMicSeatStyle"
        app:layout_constraintEnd_toStartOf="@+id/mic_8"
        app:layout_constraintStart_toEndOf="@id/mic_6"
        app:layout_constraintTop_toTopOf="@id/mic_5"
        tools:layout_height="80dp" />

    <com.adealink.weparty.room.micseat.defaults.DefaultMemberSeatView
        android:id="@+id/mic_8"
        style="@style/MemberMicSeatStyle"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/mic_7"
        app:layout_constraintTop_toTopOf="@id/mic_5"
        tools:layout_height="80dp" />

    <com.adealink.weparty.room.micseat.defaults.DefaultMemberSeatView
        android:id="@+id/mic_9"
        style="@style/MemberMicSeatStyle"
        android:layout_marginTop="12dp"
        android:visibility="gone"
        app:layout_constraintEnd_toStartOf="@+id/mic_10"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/mic_5"
        tools:layout_height="80dp"
        tools:visibility="visible" />

    <com.adealink.weparty.room.micseat.defaults.DefaultMemberSeatView
        android:id="@+id/mic_10"
        style="@style/MemberMicSeatStyle"
        android:visibility="gone"
        app:layout_constraintEnd_toStartOf="@+id/mic_11"
        app:layout_constraintStart_toEndOf="@id/mic_9"
        app:layout_constraintTop_toTopOf="@id/mic_9"
        tools:layout_height="80dp"
        tools:visibility="visible" />

    <com.adealink.weparty.room.micseat.defaults.DefaultMemberSeatView
        android:id="@+id/mic_11"
        style="@style/MemberMicSeatStyle"
        android:visibility="gone"
        app:layout_constraintEnd_toStartOf="@+id/mic_12"
        app:layout_constraintStart_toEndOf="@id/mic_10"
        app:layout_constraintTop_toTopOf="@id/mic_9"
        tools:layout_height="80dp"
        tools:visibility="visible" />

    <com.adealink.weparty.room.micseat.defaults.DefaultMemberSeatView
        android:id="@+id/mic_12"
        style="@style/MemberMicSeatStyle"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/mic_11"
        app:layout_constraintTop_toTopOf="@id/mic_9"
        tools:layout_height="80dp"
        tools:visibility="visible" />

</androidx.constraintlayout.widget.ConstraintLayout>